---
title: TIA Portal
subject: Procédure
subtitle: Utiliser TIA Portal pour programmer un API Siemens
abbreviations:
  TIA: Totally Integrated Automation
  API: Automate Programmable Industriel
  e/s: Entrées / Sorties
---

# Cartes d'entrée / sortie

Les cartes d'entrée sortie sont nommées selon le type d'entrées ou de sorties (@tab:iocard).

**Exemples :** 8DQ, 4AI.

```{list-table}Cartes d'e/s
:header-rows: 1
:label: tab:iocard

* - Nombre
  - Type
  - E/S
* - Nombre d'e/s
  - D : Digital\
    A : Analog
  - I : Input\
    Q : Output
```

# La mémoire

Les données d'entrée sortie et en mémoire de l'API sont accessibles avec une syntaxe basée sur la position des octets en mémoire. Un code alphanumérique est utilisé sur le principe suivant : la première lettre correspond au registre utilisé, la deuxième à la longueur de la variable, le nombre suivant à la position de l'octet (@tab:vars).

**Exemples :** %ID100, %QB6, %MW2.

```{list-table}Variables dans les automates Siemens
:header-rows: 1
:label: tab:vars

* - \%
  - Registre
  - Longueur
  - Position
* - \% 
  - I: Input\
    Q: Output\
    M: Memory
  - B: Byte (1 octet)\
    W: Word (2 octets)\
    D: Double Word (4 octets)
  - Position du premier octet
```

Pour une variable binaire (1 bit), on donne le registre, la position de l'octet concerné, et le numéro du bit (@tab:varbin).

**Exemples :** %I100.5, %Q6.0, %M2.7.

```{list-table}Variables binaires dans les automates Siemens
:header-rows: 1
:label: tab:varbin

* - \%
  - Registre
  - Position
  - .
  - Bit
* - \% 
  - I: Input\
    Q: Output\
    M: Memory
  - Position du premier octet
  - .
  - Numéro du bit (0 à 7)
```